unit UBackend;

interface

uses
  Classes, SysUtils, UVCS;

type
  TWorkingCopyClass = class of TWorkingCopy;
  TRepositoryClass = class of TRepository;

  { TBackend }

  TBackend = class
    Name: string;
    HomePage: string;
    WorkingCopyClass: TWorkingCopyClass;
    RepositoryClass: TRepositoryClass;
    function IsRepository(Directory: string): Boolean; virtual;
    function IsWorkingCopy(Directory: string): Boolean; virtual;
  end;


implementation

{ TBackend }

function TBackend.IsRepository(Directory: string): Boolean;
begin
  Result := False;
end;

function TBackend.IsWorkingCopy(Directory: string): Boolean;
begin
  Result := False;
end;

end.

